Bug 1646543 - Review Request: dnf-plugin-ovl - DNF plugin to work around overlayfs issues
Summary: Review Request: dnf-plugin-ovl - DNF plugin to work around overlayfs issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 16:15 UTC by Till Hofmann
Modified: 2019-05-22 17:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 02:57:01 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Till Hofmann 2018-11-05 16:15:53 UTC
Spec URL: https://thofmann.fedorapeople.org/dnf-plugin-ovl.spec
SRPM URL: https://thofmann.fedorapeople.org/dnf-plugin-ovl-0.0.1-2.fc28.src.rpm
Description: Workaround to run dnf on overlayfs. A port of yum-plugin-ovl to dnf.
Fedora Account System Username: thofmann

rpmlint:
# rpmlint /home/thofmann/rpmbuild/SRPMS/dnf-plugin-ovl-0.0.1-2.fc28.src.rpm dnf-plugin-ovl.spec
dnf-plugin-ovl.src: W: spelling-error Summary(en_US) overlayfs -> overlays, overlay's, overlay
dnf-plugin-ovl.src: W: spelling-error %description -l en_US overlayfs -> overlays, overlay's, overlay
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

These are false warnings.

licensecheck does not detect GPLv2+ for some reason, but that's indeed the license.

COPR: https://copr.fedorainfracloud.org/coprs/thofmann/dnf-plugin-ovl/
scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30691581

Comment 1 Neal Gompa 2018-11-05 23:30:59 UTC
Taking this review.

Comment 2 Neal Gompa 2018-11-06 15:44:05 UTC
The license file is missing from the sources and the package.

Cf. https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Comment 3 Till Hofmann 2018-11-06 16:01:18 UTC
(In reply to Neal Gompa from comment #2)
> The license file is missing from the sources and the package.
> 
> Cf. https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Thanks for pointing this out. Upstream does not ship a license, I've asked them to include it: https://github.com/FlorianLudwig/dnf-plugin-ovl/pull/2

Comment 4 Till Hofmann 2018-11-07 12:23:10 UTC
Spec URL: https://thofmann.fedorapeople.org/dnf-plugin-ovl.spec
SRPM URL: https://thofmann.fedorapeople.org/dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc28.src.rpm

- Update to 0.0.2
- Use git snapshot to include latest upstream fixes
- Install license file

Comment 5 Neal Gompa 2018-11-07 19:05:16 UTC
Package review:

[x] Package is named correctly
[x] Package follows general packaging guidelines
[x] Package builds and installs correctly
[x] Package licensing information is set correctly and accurate

PACKAGE APPROVED.

Comment 6 Till Hofmann 2018-11-07 20:01:02 UTC
Thank you for the review!

Comment 7 Gwyn Ciesla 2018-11-07 20:21:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/dnf-plugin-ovl

Comment 8 Fedora Update System 2018-11-09 12:13:13 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1972ffffb3

Comment 9 Fedora Update System 2018-11-09 12:13:22 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8413279368

Comment 10 Fedora Update System 2018-11-09 12:13:31 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59665bc09f

Comment 11 Fedora Update System 2018-11-10 04:06:46 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1972ffffb3

Comment 12 Fedora Update System 2018-11-10 05:00:48 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8413279368

Comment 13 Fedora Update System 2018-11-10 05:09:28 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59665bc09f

Comment 14 Fedora Update System 2018-11-18 02:57:01 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-18 03:55:34 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-18 06:18:54 UTC
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Rob Nagler 2019-05-21 18:12:38 UTC
I had this failure just now with overlay2 in Docker Fedora 29:

dnf clean all
error: rpmdb: damaged header #680 retrieved -- skipping.

Docker version 18.09.1, build 4c52b90
fedora:29  d09302f77cfc
dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc29.noarch

In looking at the code, I think the file actually needs to be opened with O_CREAT. When I run touch /var/lib/rpm/*, I do not get the error.

Comment 18 Till Hofmann 2019-05-22 08:29:36 UTC
(In reply to Rob Nagler from comment #17)
> I had this failure just now with overlay2 in Docker Fedora 29:
> 
> dnf clean all
> error: rpmdb: damaged header #680 retrieved -- skipping.
> 
> Docker version 18.09.1, build 4c52b90
> fedora:29  d09302f77cfc
> dnf-plugin-ovl-0.0.2-1.20181107gitfd1a5a5.fc29.noarch
> 
> In looking at the code, I think the file actually needs to be opened with
> O_CREAT. When I run touch /var/lib/rpm/*, I do not get the error.

Is this a bug report? If so, you should probably open a new ticket. Although this looks like something that should be fixed upstream: https://github.com/FlorianLudwig/dnf-plugin-ovl

Comment 19 Rob Nagler 2019-05-22 17:24:59 UTC
I reported in https://github.com/FlorianLudwig/dnf-plugin-ovl/issues/3

As to why I reported it here... This comments above clearly state: If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.